package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yrf
 * @description
 * @time 2019/9/25 15:03
 */
@Entity
@Table(name = "scon_homework_count")
public class HomeworkCount extends BaseEntity {

    private static final long serialVersionUID = 6800497159018611369L;

    private String vipId;
    private String homeworkId;
    private String grade;
    private String subject;
    private Date homeworkTime;
    private Integer usedTime;
    private Integer homeworkDays;
    private Integer wrongCount;
    private Integer totalCount;
    private Integer accuracyRate;
    private Integer increasedScore;
    private BigDecimal transcendedStudentProportion;
    private String homeworkMonth;
    private String subjectKnowledgeInfoJson;
    private Integer dataType;
    private Date updateTime;
    private Date createTime;

    /**
     * 较上一期增加的积分
     */
    private Integer addIntegral;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }
    @Column( updatable = false)
    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getHomeworkTime() {
        return homeworkTime;
    }

    public void setHomeworkTime(Date homeworkTime) {
        this.homeworkTime = homeworkTime;
    }

    public Integer getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Integer usedTime) {
        this.usedTime = usedTime;
    }

    public Integer getHomeworkDays() {
        return homeworkDays;
    }

    public void setHomeworkDays(Integer homeworkDays) {
        this.homeworkDays = homeworkDays;
    }

    public Integer getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(Integer wrongCount) {
        this.wrongCount = wrongCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(Integer accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public Integer getIncreasedScore() {
        return increasedScore;
    }

    public void setIncreasedScore(Integer increasedScore) {
        this.increasedScore = increasedScore;
    }

    public BigDecimal getTranscendedStudentProportion() {
        return transcendedStudentProportion;
    }

    public void setTranscendedStudentProportion(BigDecimal transcendedStudentProportion) {
        this.transcendedStudentProportion = transcendedStudentProportion;
    }

    public String getSubjectKnowledgeInfoJson() {
        return subjectKnowledgeInfoJson;
    }

    public void setSubjectKnowledgeInfoJson(String subjectKnowledgeInfoJson) {
        this.subjectKnowledgeInfoJson = subjectKnowledgeInfoJson;
    }

    public String getHomeworkMonth() {
        return homeworkMonth;
    }

    public void setHomeworkMonth(String homeworkMonth) {
        this.homeworkMonth = homeworkMonth;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getAddIntegral() {
        return addIntegral;
    }

    public void setAddIntegral(Integer addIntegral) {
        this.addIntegral = addIntegral;
    }
}
